<?php
/**
 * Created by PhpStorm.
 * User: vitwh
 * Date: 7/20/2019
 * Time: 12:44 PM
 */
include "Australopithecus.php";

class Human extends Australopithecus
{
    private $firstName;
    private $lastName;
    private $gender;

    public $age;

    protected $budget;

    /**
     * Human constructor.
     * @param $firstName
     * @param $lastName
     * @param $gender
     * @param $age
     * @param $budget
     */
    public function __construct($firstName, $lastName, $gender, $age, $budget)
    {
        $this->firstName = $firstName;
        $this->lastName = $lastName;
        $this->gender = $gender;
        $this->age = $age;
        $this->budget = $budget;
    }

    public function eat()
    {
            parent::eat();
         // TODO: Change the autogenerated stub
    }

    public function hunt()
    {

        parent::hunt(); // TODO: Change the autogenerated stub
    }


    /**
     * @return mixed
     */
    public function getFirstName()
    {
        return $this->firstName;
    }

    /**
     * @param mixed $firstName
     */
    public function setFirstName($firstName): void
    {
        if (!is_numeric($firstName)) {
            $this->firstName = $firstName;
        }
    }

    /**
     * @return mixed
     */
    public function getLastName()
    {
        return $this->lastName;
    }

    /**
     * @param mixed $lastName
     */
    public function setLastName($lastName): void
    {
        $this->lastName = $lastName;
    }

    /**
     * @return mixed
     */
    public function getGender()
    {
        return $this->gender;
    }

    /**
     * @param mixed $gender
     */
    public function setGender($gender): void
    {
        $this->gender = $gender;
    }

    /**
     * @return mixed
     */
    public function getAge()
    {
        return $this->age;
    }

    /**
     * @param mixed $age
     */
    public function setAge($age): void
    {
        $this->age = $age;
    }

    /**
     * @return mixed
     */
    public function getBudget()
    {
        return $this->budget;
    }

    /**
     * @param mixed $budget
     */
    public function setBudget($budget)
    {
        $this->budget = $budget;
    }

    public function __toString()
    {
        return "I'm not a girl, but not a women.";
    }
}